Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 435508 - cpdup not 64-bit clean
Summary: cpdup not 64-bit clean
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpdup
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x64, F-ExcludeArch-x64 FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2008-02-29 20:14 UTC by Michel Alexandre Salim
Modified: 2008-07-06 06:12 UTC (History)
1 user (show)

Fixed In Version: 1.11-2.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-06 06:11:29 UTC


Attachments (Terms of Use)

Description Michel Alexandre Salim 2008-02-29 20:14:18 UTC
Description of problem:
There are several places in cpdup's sources where it assumes sizeof(void *) ==
sizeof(int). This needs to be fixed.

Also, there are some bizarre compilation problem -- syntactic ones -- that are
only manifested when compiling against 64-bit system headers.

Version-Release number of selected component (if applicable):
1.07-1

How reproducible:
Always

Steps to Reproduce:
1. Remove either ExcludeArch: x86_64 or ppc64
2. Rebuild on said architecture

Comment 1 Bug Zapper 2008-05-14 05:42:29 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2008-06-11 21:42:25 UTC
cpdup-1.11-2.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-06-11 21:44:11 UTC
cpdup-1.11-2.fc8 has been submitted as an update for Fedora 8

Comment 4 Fedora Update System 2008-06-11 21:45:55 UTC
cpdup-1.11-2.fc7 has been submitted as an update for Fedora 7

Comment 5 Fedora Update System 2008-06-13 02:19:54 UTC
cpdup-1.11-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpdup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5265

Comment 6 Fedora Update System 2008-07-06 06:11:26 UTC
cpdup-1.11-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-07-06 06:12:17 UTC
cpdup-1.11-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.